{osConfig, ...}: let
  cfg = osConfig.marleyos;
in {
  marleyos = {
    profiles = {
      inherit (cfg.profiles) desktop server;

      hardware = {
        inherit (cfg.profiles.hardware) nvidia;
      };
    };

    my = {
      inherit (cfg.my) name fullName username email;
    };
  };
}
