{
  pkgs,
  lib,
  config,
  ...
}: {
  boot = {
    kernelPackages =
      lib.mkIf (!config.marleyos.profiles.server)
      pkgs.linuxPackages_xanmod;

    loader = {
      systemd-boot.enable = true;
      efi.canTouchEfiVariables = true;
    };
  };
}
