{config, ...}: {
  networking = {
    computerName = "mairley";
    hostName = "mairley";
    localHostName = "mairley";
  };

  marleyos = {
    profiles.desktop = true;
  };

  users = {
    knownUsers = ["marley"];
    users."marley" = {
      # This is required for some reason.
      uid = 501;

      shell = config.programs.fish.package;
    };
  };

  system.stateVersion = 5;
}
