let
  my = {
    name = "marley";
    fullName = "Marley Rae";
    username = "punkfairie";
    email = "marley@punkfairie.net";
  };
in {
  marleyos.my = my;

  home-manager = {
    useUserPackages = true;
    useGlobalPackages = true;
    backupFileExtension = "bak";

    users."${my.name}" = {
      home.username = my.name;
    };

    sharedModules = [../home];
  };
}
